Update pdf.js to version 1.0.21

Bug #1316407 reported by Aaron Wells on 2014-05-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells

Bug Description

pdf.js is the driver behind our PDF block. We're currently on version 0.8.75. The latest stable version is 1.0.21.

https://github.com/mozilla/pdf.js/

Aaron Wells (u-aaronw) on 2014-05-06
summary: - Update pdf.js to version 1.0.68
+ Update pdf.js to version 1.0.21
description: updated
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3324

Reviewed: https://reviews.mahara.org/3319
Committed: http://gitorious.org/mahara/mahara/commit/51ebf4c090b498dac6482c9386144070e87be107
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 51ebf4c090b498dac6482c9386144070e87be107
Author: Aaron Wells <email address hidden>
Date: Tue May 6 16:46:25 2014 +1200

Update pdf.js to version 1.0.21

Bug 1316407

Change-Id: Idaa81380749249ff71aeb2098b242fbaabf0b96c

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3324
Committed: http://gitorious.org/mahara/mahara/commit/9a19ed5a64e08f4c1551a4b6a6fc40b2ea9ea53c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9a19ed5a64e08f4c1551a4b6a6fc40b2ea9ea53c
Author: Aaron Wells <email address hidden>
Date: Tue May 6 17:32:02 2014 +1200

Make pdf.js use absolute file urls, and get PDF URl from a JS variable

Bug 1316407: By default, this version of pdf.js wants to take the PDF
URL from a URL query parameter. It also wants to refer to several of its
JS libraries by relative paths, which sometimes conk out in Mahara.

Change-Id: I1be894beb825bae4070e6e43c5900d43313ef583

Robert Lyon (robertl-9) on 2014-05-15
Changed in mahara:
status: Confirmed → Fix Committed
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) wrote :

Ignore that last patch comment... that's from a patch cherry-picked onto the new version of pdfjs

Reviewed: https://reviews.mahara.org/3913
Committed: http://gitorious.org/mahara/mahara/commit/b4d5245867e7fede16fe848d48a0eee3b11f7c86
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b4d5245867e7fede16fe848d48a0eee3b11f7c86
Author: Aaron Wells <email address hidden>
Date: Tue May 6 17:32:02 2014 +1200

Make pdf.js use absolute file urls, and get PDF URl from a JS variable

Bug 1316407: By default, this version of pdf.js wants to take the PDF
URL from a URL query parameter. It also wants to refer to several of its
JS libraries by relative paths, which sometimes conk out in Mahara.

Change-Id: If4a5ea386f1ccb291a86f940b7d54f4f4e4cb4a3

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers